PIRL.Conductor.Pipeline_Configuration

## Enum Pipeline_Configuration.Validator

- java.lang.Object
- - java.lang.Enum<Pipeline_Configuration.Validator>
  - - PIRL.Conductor.Pipeline_Configuration.Pipeline_Configuration.Validator

All Implemented Interfaces:
  Serializable, Comparable<Pipeline_Configuration.Validator>

Enclosing class:
  Pipeline_Configuration

    public static enum Pipeline_Configuration.Validator
    extends Enum<Pipeline_Configuration.Validator>

A Validatorcontains a list of commonly used validators for typical values. These validators may be used for convenience when doing a `write`. Java Strings used as regexps must still follow proper escaping using double-backslashes. Example: hiColorNormPipeConf.write ("Make_Unfiltered_Cube", "TRUE", Validator.BOOLEAN);

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BOOLEAN`
`FLOATING_POINT`

### Method Summary

Methods
`String` `regexp()`
`static Pipeline_Configuration.Validator` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Pipeline_Configuration.Validator[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FLOATING_POINT

    public static final Pipeline_Configuration.Validator FLOATING_POINT

#### BOOLEAN

    public static final Pipeline_Configuration.Validator BOOLEAN

### Method Detail

#### values

    public static Pipeline_Configuration.Validator[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Pipeline_Configuration.Validator c : Pipeline_Configuration.Validator.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Pipeline_Configuration.Validator valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### regexp

    public String regexp()